View Issue Details

IDProjectCategoryView StatusLast Update
0017230MediaMonkey 5Generalpublic2021-01-18 18:24
Reporterrusty Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0017230: MediaMonkey takes 25s to close (regression 2286)
DescriptionWith the fix to the language switching issues in bug 17168, MediaMonkey now takes ~25s to close (vs about 5s in previous builds).

Debug log re. previous build 2285 (5s close) is on ftp from 0017168 case 3 (also portable app directory)
Debug log re. build 2286 (25s to close) + portable app directory is posted to ftp
TagsNo tags attached.
Fixed in build2287

Relationships

related to 0017168 closedpetr Localization: freeze and loss of language options upon selecting a previously installed language 
related to 0017400 closedLudek Playing YouTube video causes MM to terminate slowly and to lose UI settings 

Activities

petr

2020-12-16 12:44

developer   ~0060802

Fixed

Ludek

2020-12-16 13:06

developer   ~0060803

Last edited: 2020-12-16 13:10

View 3 revisions

Test notes: the original issue of long closing 2286 appeared:
- only with the debug build (with Eureka enabled)
- only when skin or language was changed before closing

The fix of this (in 2287) is causing that it takes a little bit longer to reload MM after the skin (or language) change, but this is an issue again only with Debug builds (where MME.EXE built with Eureka takes several seconds longer to close -- and new MM instance is waiting for the previous MME.EXE process to be completelly closed).
The gap is not presented on release build.

peke

2020-12-19 17:35

developer   ~0060938

Verified 2288

Not being able to replicate in debug build and close times reverted to normal.

@Ludek Non debug build works as you pointed out eg. faster than debug build which is reasonable.